FLAIM: Query Result Set Retrieval Functions

- Main Page
- Modules
- Classes
- Files

# Query Result Set Retrieval Functions
[Query Functions]

## Functions
FINLINE RCODE | FlmCursorFirst (HFCURSOR hCursor, FlmRecord **ppRecord)
| Positions to and retrieves the first record in the query result set.
FINLINE RCODE | FlmCursorLast (HFCURSOR hCursor, FlmRecord **ppRecord)
| Positions to and retrieves the last record in the query result set.
FINLINE RCODE | FlmCursorNext (HFCURSOR hCursor, FlmRecord **ppRecord)
| Positions to and retrieves the next record in the query result set.
FINLINE RCODE | FlmCursorPrev (HFCURSOR hCursor, FlmRecord **ppRecord)
| Positions to and retrieves the previous record in the query result set.
FINLINE RCODE | FlmCursorFirstDRN (HFCURSOR hCursor, FLMUINT *puiDrn)
| Positions to the first record in the query result set and retrieves the record's DRN.
FINLINE RCODE | FlmCursorLastDRN (HFCURSOR hCursor, FLMUINT *puiDrn)
| Positions to the last record in the query result set and retrieves the record's DRN.
FINLINE RCODE | FlmCursorNextDRN (HFCURSOR hCursor, FLMUINT *puiDrn)
| Positions to the next record in the query result set and retrieves the record's DRN.
FINLINE RCODE | FlmCursorPrevDRN (HFCURSOR hCursor, FLMUINT *puiDrn)
| Positions to the previous record in the query result set and retrieves the record's DRN.
FLMEXP RCODE FLMAPI | FlmCursorCurrent (HFCURSOR hCursor, FlmRecord **ppRecord)
| Retrieve current record from query result set.
FLMEXP RCODE FLMAPI | FlmCursorCurrentDRN (HFCURSOR hCursor, FLMUINT *puiDrn)
| Retrieve the DRN of the current recrord in query result set.
FLMEXP RCODE FLMAPI | FlmCursorMoveRelative (HFCURSOR hCursor, FLMINT *piPosition, FlmRecord **ppRecord)
| Position relative to the current record (forward or backward) in the query result set and retrieve the record positioned to.
FLMEXP RCODE FLMAPI | FlmCursorRecCount (HFCURSOR hCursor, FLMUINT *puiCount)
| Get record count for a query result set.

## Function Documentation

FLMEXP RCODE FLMAPI FlmCursorCurrent | ( | HFCURSOR | hCursor,
|  | FlmRecord ** | ppRecord
| ) |

  | Retrieve current record from query result set. Parameters:
  hCursor | Handle to query object.
  ppRecord | Pointer to found record, if any, is returned here. NULL is returned if no record was found.

FLMEXP RCODE FLMAPI FlmCursorCurrentDRN | ( | HFCURSOR | hCursor,
|  | FLMUINT * | puiDrn
| ) |

  | Retrieve the DRN of the current recrord in query result set. Parameters:
  hCursor | Handle to query object.
  puiDrn | DRN is returned here.

FINLINE RCODE FlmCursorFirst | ( | HFCURSOR | hCursor,
|  | FlmRecord ** | ppRecord
| ) |

  | Positions to and retrieves the first record in the query result set. Parameters:
  hCursor | Handle to query object.
  ppRecord | Pointer to found record, if any, is returned here. NULL is returned if no record was found.

FINLINE RCODE FlmCursorFirstDRN | ( | HFCURSOR | hCursor,
|  | FLMUINT * | puiDrn
| ) |

  | Positions to the first record in the query result set and retrieves the record's DRN. Parameters:
  hCursor | Handle to query object.
  puiDrn | DRN is returned here.

FINLINE RCODE FlmCursorLast | ( | HFCURSOR | hCursor,
|  | FlmRecord ** | ppRecord
| ) |

  | Positions to and retrieves the last record in the query result set. Parameters:
  hCursor | Handle to query object.
  ppRecord | Pointer to found record, if any, is returned here. NULL is returned if no record was found.

FINLINE RCODE FlmCursorLastDRN | ( | HFCURSOR | hCursor,
|  | FLMUINT * | puiDrn
| ) |

  | Positions to the last record in the query result set and retrieves the record's DRN. Parameters:
  hCursor | Handle to query object.
  puiDrn | DRN is returned here.

FLMEXP RCODE FLMAPI FlmCursorMoveRelative | ( | HFCURSOR | hCursor,
|  | FLMINT * | piPosition,
|  | FlmRecord ** | ppRecord
| ) |

  | Position relative to the current record (forward or backward) in the query result set and retrieve the record positioned to. Parameters:
  hCursor | Handle to query object.
  piPosition | On input *piPosition indicates the relative position to move within the query result set. A negative value will move the position back *piPosition records and a positive value will move the position forward *piPosition records. On output, *piPosition will return the relative position after the move. This should always equal the input position unless an error is returned.
  ppRecord | Pointer to found record, if any, is returned here. NULL is returned if no record was found.

FINLINE RCODE FlmCursorNext | ( | HFCURSOR | hCursor,
|  | FlmRecord ** | ppRecord
| ) |

  | Positions to and retrieves the next record in the query result set. Parameters:
  hCursor | Handle to query object.
  ppRecord | Pointer to found record, if any, is returned here. NULL is returned if no record was found.

FINLINE RCODE FlmCursorNextDRN | ( | HFCURSOR | hCursor,
|  | FLMUINT * | puiDrn
| ) |

  | Positions to the next record in the query result set and retrieves the record's DRN. Parameters:
  hCursor | Handle to query object.
  puiDrn | DRN is returned here.

FINLINE RCODE FlmCursorPrev | ( | HFCURSOR | hCursor,
|  | FlmRecord ** | ppRecord
| ) |

  | Positions to and retrieves the previous record in the query result set. Parameters:
  hCursor | Handle to query object.
  ppRecord | Pointer to found record, if any, is returned here. NULL is returned if no record was found.

FINLINE RCODE FlmCursorPrevDRN | ( | HFCURSOR | hCursor,
|  | FLMUINT * | puiDrn
| ) |

  | Positions to the previous record in the query result set and retrieves the record's DRN. Parameters:
  hCursor | Handle to query object.
  puiDrn | DRN is returned here.

FLMEXP RCODE FLMAPI FlmCursorRecCount | ( | HFCURSOR | hCursor,
|  | FLMUINT * | puiCount
| ) |

  | Get record count for a query result set. NOTE: This function generates the query result set, counting the records as it goes. Therefore, it may take a long time to compute, depending on the size of the result set and whether or not indexes can be used to optimize the query. Parameters:
  hCursor | Handle to query object.
  puiCount | Count of records in the query result set is returned here.